<?php

namespace App\Cells;

use App\Cells\CommonCell;
use App\Services\MyLogService;

class MylogCell extends CommonCell
{

  public function __construct()
  {
    parent::__construct(new MyLogService());
  }

  public function dashboard(array $params): string
  {
    $this->getService()->setAction(__FUNCTION__);
    $this->getService()->setFormFields();
    $this->getService()->setFormFilters();
    $this->getService()->setFormRules();
    $this->getService()->setFormOptions();
    $this->getService()->setLimit(20);
    $template = array_key_exists('template', $params) ? $params['template'] : __FUNCTION__;
    return view('cells/mylog/' . $template, [
      'myLogCellDatas' => [
        'service' => $this->getService(),
        'control' => $this->getService()->getControlDatas(),
        'entities' => $this->getService()->getEntities(),
      ]
    ]);
  }
}
